## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesDocumentWrapper::BuildWrapperTreeWalker Class Reference

Inheritance diagram for XercesDocumentWrapper::BuildWrapperTreeWalker:

[legend]
Collaboration diagram for XercesDocumentWrapper::BuildWrapperTreeWalker:

[legend]
List of all members.

## Public Types

- typedef XercesDOMWalker ParentType
- typedef XalanVector< NavigatorStackEntryType > NavigatorStackType

## Public Member Functions

- BuildWrapperTreeWalker (XercesDocumentWrapper *theDocument, XercesWrapperNavigator *theDocumentNavigator, IndexType theStartIndex, bool theBuildMapsFlag)
- virtual ~BuildWrapperTreeWalker ()

## Protected Member Functions

- virtual bool startNode (const DOMNodeType *node)
    Called when first walking a node.
- virtual bool endNode (const DOMNodeType *node)
    Called when leaving a node.

## Member Typedef Documentation

typedef XalanVector<NavigatorStackEntryType> XercesDocumentWrapper::BuildWrapperTreeWalker::NavigatorStackType

typedef XercesDOMWalker XercesDocumentWrapper::BuildWrapperTreeWalker::ParentType

## Constructor & Destructor Documentation

XercesDocumentWrapper::BuildWrapperTreeWalker::BuildWrapperTreeWalker | ( | XercesDocumentWrapper * | theDocument,
|  | XercesWrapperNavigator * | theDocumentNavigator,
|  | IndexType | theStartIndex,
|  | bool | theBuildMapsFlag
| ) |

virtual XercesDocumentWrapper::BuildWrapperTreeWalker::~BuildWrapperTreeWalker | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool XercesDocumentWrapper::BuildWrapperTreeWalker::endNode | ( | const DOMNodeType * | node | ) | `[protected, virtual]`

  | Called when leaving a node. Parameters:
  node | The node
Returns: return false if traversal should continue, or true if it should not. Implements XercesDOMWalker.

virtual bool XercesDocumentWrapper::BuildWrapperTreeWalker::startNode | ( | const DOMNodeType * | node | ) | `[protected, virtual]`

  | Called when first walking a node. Parameters:
  node | The node
Returns: return false if traversal should continue, or true if it should not. Implements XercesDOMWalker.

The documentation for this class was generated from the following file:

- XercesDocumentWrapper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.